Page MenuHomePhabricator

Fix "1 notice" on 4 more wikis
Closed, ResolvedPublic8 Story Points

Description

Like T95822, but for:

  • enwikibooks
  • fiwiki
  • metawiki
  • zhwiki

P̶l̶e̶a̶s̶e̶ ̶u̶p̶d̶a̶t̶e̶ ̶t̶h̶i̶s̶ ̶d̶e̶s̶c̶r̶i̶p̶t̶i̶o̶n̶ ̶i̶f̶ ̶y̶o̶u̶ ̶f̶i̶n̶d̶ ̶a̶n̶y̶ ̶m̶o̶r̶e̶.̶

Steps for migrating at https://phabricator.wikimedia.org/T95822#1469641 (simple case) and https://phabricator.wikimedia.org/T91715#1160062 (advanced case).

Event Timeline

Krenair created this task.Jun 24 2015, 3:45 PM
Krenair raised the priority of this task from to Normal.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 3:45 PM
Elitre added a subscriber: Elitre.Jun 24 2015, 3:53 PM
Stryn updated the task description. (Show Details)Jul 6 2015, 9:01 PM
Stryn set Security to None.
Stryn added a subscriber: Stryn.

I attempted to apply @Krinkle's edits on metawiki (but they didn't seem to fix the issue, at least on the page that I tested) and enwikibooks (but my template edit is stuck in FlaggedRevs review)

Krinkle updated the task description. (Show Details)Mar 23 2016, 4:11 AM
Krinkle added a comment.EditedMar 23 2016, 4:26 AM

I attempted to apply @Krinkle's edits on metawiki (but they didn't seem to fix the issue [..]

Per https://phabricator.wikimedia.org/T91715#1160062 there was one critical step missing: Removing the default output case that creates a (sysop-only visible) red link.

This is the main reason for the whole construct. This must be removed from the core Editnotice template and (optionally) added back via MediaWiki:Editnotice-notext. That way, when there is no editnotice declared for a page, the template truly results in no output when parsed. - Which is used as indicator by MediaWiki core to determine whether or not there is an editnotice.

Need to figure out what to do about enwikibooks & FlaggedRevs, then complete the job there.

The last enwikibooks changes have gone in, just waiting for more review now.

AlexMonk-WMF closed this task as Resolved.Apr 8 2016, 4:38 PM
AlexMonk-WMF updated the task description. (Show Details)
Elitre added a comment.May 9 2016, 9:16 AM

I noticed hi.wiki has the same issue.

AlexMonk-WMF renamed this task from Fix "1 notice" on the remaining wikis to Fix "1 notice" on 4 more wikis.May 10 2016, 10:57 PM
AlexMonk-WMF updated the task description. (Show Details)

I noticed hi.wiki has the same issue.

I wrote a script to find more like that, the result is T134949: Fix "1 notice" on more wikis